Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

Since file upload module exited in nginx 1.2.1 but omitted since 1.3.x, I'd like to downgrade current nginx 1.4.2 on Debian squeeze to 1.2.1, so that I can easily have the module. I am wondering what is the easiest wat to do the downgrade. Also I'd like to know whether it would have some serious security drawbacks and hence not advised.

share|improve this question

2 Answers 2

a similar question, How can I install apache with a specific version?

here's the copypasta:


You need to do the following:

apt-cache showpkg

The above command will display list of available versions for this package. Then select the needed version and do the following.

apt-get install <packagename>=<complete version name>

Example:

apt-cache showpkg apache2
apt-get install apache2=2.2.14-5ubuntu8.7
share|improve this answer

There are at least two medium vulnerabilities for 1.2.1. I would advise against it. Source: http://nginx.org/en/security_advisories.html

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.